Bug 636719 - Dashboard - Summary Counts: Links do not take user to appropriate location in resource tree
Dashboard - Summary Counts: Links do not take user to appropriate location in...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-22 22:57 EDT by Corey Welton
Modified: 2011-05-23 21:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 22:57:36 EDT
Description of problem:
This may not be a problem with the portlet itself, not sure.   However, when user clicks any of the links in the Summary Count portlet, user is taken to the inventory page, but does not drill down to the appropriate subsection in the resource tree.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.  Load the Summary Count portlet into a dashboard
2.  Click through any of the resource count hyperlinks (Platform/Server/Service Totals, etc.)
3.  View results
  
Actual results:
User is taken to the inventory view page, but is given a blank result - links do not take user to corresponding subsection in tree for each of these Totals.  Same goes with the Metrics link, which probably should link somewhere else entirely.

Expected results:
When user clicks on one of these totals, the resulting page drills down to the appropriate contextual resource area.

Additional info:
Comment 1 Ian Springer 2011-02-17 12:21:19 EST
I fixed this a while ago.
Comment 2 Mike Foley 2011-04-28 16:26:10 EDT
verified in the inventory summary portlet  (was the summary count portlet).
Comment 3 Corey Welton 2011-05-23 21:07:57 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.